Index: ipk/source.sh4/titanswapskins_tobayer01/CONTROL/postinst
===================================================================
--- ipk/source.sh4/titanswapskins_tobayer01/CONTROL/postinst	(revision 23248)
+++ ipk/source.sh4/titanswapskins_tobayer01/CONTROL/postinst	(revision 23270)
@@ -12,18 +12,4 @@
 
 
-### FUNCTIONS ###
-
-RES_COL=60									# column number to place the status
-
-echo_success() {							# function to print the OK status
-	printf "%-${RES_COL}s%s\n" "$1" "[  OK  ]"
-}
-
-echo_failure() {							# function to print the FAILED status
-	printf "%-${RES_COL}s%s\n" "$1" "[FAILED]"
-}
-
-
-
 ### MAIN ###
 
@@ -32,5 +18,5 @@
 FREE=`expr $SPACE - 100`
 echo
-echo "New free space: $FREE kB"
+echo "New free space: ${FREE}kB"
 
 
Index: ipk/source.sh4/titanswapskins_tobayer01/CONTROL/postrm
===================================================================
--- ipk/source.sh4/titanswapskins_tobayer01/CONTROL/postrm	(revision 23248)
+++ ipk/source.sh4/titanswapskins_tobayer01/CONTROL/postrm	(revision 23270)
@@ -9,18 +9,4 @@
 
 
-### FUNCTIONS ###
-
-RES_COL=60									# column number to place the status
-
-echo_success() {							# function to print the OK status
-	printf "%-${RES_COL}s%s\n" "$1" "[  OK  ]"
-}
-
-echo_failure() {							# function to print the FAILED status
-	printf "%-${RES_COL}s%s\n" "$1" "[FAILED]"
-}
-
-
-
 ### MAIN ###
 
@@ -30,7 +16,6 @@
 SPACE=`getfreespace $plugin_target`
 FREE=`expr $SPACE - 100`
+echo "New free space: ${FREE}kB"
 echo
-echo "New free space: $FREE kB"
-
 echo "Successfully removed $plugin."
 
Index: ipk/source.sh4/titanswapskins_tobayer01/CONTROL/preinst
===================================================================
--- ipk/source.sh4/titanswapskins_tobayer01/CONTROL/preinst	(revision 23248)
+++ ipk/source.sh4/titanswapskins_tobayer01/CONTROL/preinst	(revision 23270)
@@ -9,45 +9,31 @@
 plugin="$plugin_short $plugin_type"
 
-model=`cat /etc/model`
-buildgroup=`cat /etc/.buildgroup`
-
-
-### FUNCTIONS ###
-
-RES_COL=60									# column number to place the status
-
-echo_success() {							# function to print the OK status
-	printf "%-${RES_COL}s%s\n" "$1" "[  OK  ]"
-}
-
-echo_failure() {							# function to print the FAILED status
-	printf "%-${RES_COL}s%s\n" "$1" "[FAILED]"
-}
-
-
 
 ### MAIN ###
 
-msg="Checking box type..."
-if [ "$model" = "" ]; then
-	echo_failure "$msg"
+# Is this check for anything useful???
+#model=`cat /etc/model`
+#echo -n "Checking box type..."
+#if [ "$model" = "" ]; then
+#	echo "......[FAILED]"
+#	echo
+#	echo "Sorry, $plugin is not available for the $model!"
+#	echo "Aborting installation..."
+#	exit 1
+#else
+#	echo "......[OK]"
+#fi
+
+
+echo -n "Checking installation directory..."
+if [ ! -d $plugin_target ]; then
+	echo "......[FAILED]"
 	echo
-	echo "Sorry, $plugin is not available for the $model!"
+	echo "'$plugin_target' not found!"
 	echo "Aborting installation..."
 	exit 1
 else
-	echo_success "$msg"
-fi
-
-
-msg="Checking installation directory..."
-if [ ! -d $plugin_target ]; then
-	echo_failure "$msg"
+#	echo "......[OK]"
 	echo
-	echo "Sorry, $plugin_target not found!"
-	echo "Aborting installation..."
-	exit 1
-else
-	echo_success "$msg"
 fi
 
@@ -56,32 +42,35 @@
 SPACE=`getfreespace $plugin_target`
 FREE=`expr $SPACE - 100`
-msg="Checking free space ($plugin_size in $FREE kB)..."
+echo -n "Checking free space (${plugin_size}/${FREE}kB)..."
 if [ "$FREE" -lt "$plugin_size" ]; then
-	echo_failure "$msg"
+	echo "......[FAILED]"
 	echo
-	echo "Sorry, not enough free space in $plugin_target!"
+	echo "Not enough free space in $plugin_target!"
 	echo "Aborting installation..."
 	exit 1
 else
-	echo_success "$msg"
+#	echo "......[OK]"
+	echo
 fi
 
 
-msg="Checking image type..."
-if [ `cat /etc/version | grep $buildgroup | wc -l` -eq 0 ]; then
-	echo_failure "$msg"
-	echo
-	echo "Sorry, $plugin is not available for this image type!"
-	echo "Aborting installation..."
-	exit 1
-else
-	echo_success "$msg"
-fi
+# Is this check for anything useful???
+#buildgroup=`cat /etc/.buildgroup`
+#echo -n "Checking image type..."
+#if [ `cat /etc/version | grep $buildgroup | wc -l` -eq 0 ]; then
+#	echo "......[FAILED]"
+#	echo
+#	echo "Sorry, $plugin is not available for this image type!"
+#	echo "Aborting installation..."
+#	exit 1
+#else
+#	echo "......[OK]"
+#fi
 
 
 rm -rf $plugin_dir
 
-msg="Installing $plugin..."
-echo_success "$msg"
+#echo -n "Installing $plugin..."
+#echo "......[OK]"
 
 exit 0
Index: ipk/source.sh4/titanswapskins_tobayer01/CONTROL/prerm
===================================================================
--- ipk/source.sh4/titanswapskins_tobayer01/CONTROL/prerm	(revision 23248)
+++ ipk/source.sh4/titanswapskins_tobayer01/CONTROL/prerm	(revision 23270)
@@ -9,18 +9,4 @@
 
 
-### FUNCTIONS ###
-
-RES_COL=60									# column number to place the status
-
-echo_success() {							# function to print the OK status
-	printf "%-${RES_COL}s%s\n" "$1" "[  OK  ]"
-}
-
-echo_failure() {							# function to print the FAILED status
-	printf "%-${RES_COL}s%s\n" "$1" "[FAILED]"
-}
-
-
-
 ### MAIN ###
 
@@ -28,9 +14,5 @@
 SPACE=`getfreespace $plugin_target`
 FREE=`expr $SPACE - 100`
-echo "Old free space: $FREE kB"
-
-
-msg="Removing $plugin..."
-echo_success "$msg"
+echo "Old free space: ${FREE}kB"
 
 exit 0
